Package: org.apache.groovy.contracts.ast.visitor

## [Java] Class ConfigurationSetup

- org.apache.groovy.contracts.ast.visitor.ConfigurationSetup

-     public class ConfigurationSetup
      extends Object

  Makes some initialization in order to use the Configurator for determining which assertions in what packages will be executed.

  See Also:
    Configurator

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `init(ClassNode type)` Adds an instance field which allows to control whether GContract assertions are enabled or not.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public void init(ClassNode type)

      Adds an instance field which allows to control whether GContract assertions are enabled or not. Before assertions are evaluated this field will be checked.

      Parameters:
        `type` - the current ClassNode
      See Also:
        Configurator